Subject: Re: [PATCH] Teach 'git apply' to look at $GIT_DIR/config

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 19 Feb 2007 18:04:06 -0500

Linus Torvalds <[email-masked]> wrote:
> (*) Although I have also noticed that even more often than using "git 
> apply" outside a git thing, I just import everything into git these days. 
> So I may not have actually used git-apply outside of a git project in a 
> long time any more. But I did, a few times.

Which makes me wonder, have you looked at (or used)
contrib/fast-import/import-tars.perl ?

Its Perl, which I know is not your favorite language, but it should
be a faster way to get a tar into a Git repository, as we never
actually extract the files from the tar, or create loose objects.

-- 
Shawn.